# loyalty_program_api

LoyaltyProgramApi - JavaScript client for loyalty_program_api
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 4.0.2
- Package version: 4.0.2
- Build package: io.swagger.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/),
please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install loyalty_program_api --save
```

##### Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing 
into the directory containing `package.json` (and this README). Let's call this `JAVASCRIPT_CLIENT_DIR`. Then run:

```shell
npm install
```

Next, [link](https://docs.npmjs.com/cli/link) it globally in npm with the following, also from `JAVASCRIPT_CLIENT_DIR`:

```shell
npm link
```

Finally, switch to the directory you want to use your loyalty_program_api from, and run:

```shell
npm link /path/to/<JAVASCRIPT_CLIENT_DIR>
```

You should now be able to `require('loyalty_program_api')` in javascript files from the directory you ran the last 
command above from.

#### git
#
If the library is hosted at a git repository, e.g.
https://github.com/YOUR_USERNAME/loyalty_program_api
then install it via:

```shell
    npm install YOUR_USERNAME/loyalty_program_api --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file, that's to say your javascript file where you actually 
use this library):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var LoyaltyProgramApi = require('loyalty_program_api');

var api = new LoyaltyProgramApi.DevelopersApi()

var opts = { 
  'deviceInfo': new LoyaltyProgramApi.UserDeviceInfo() // {UserDeviceInfo} device information object
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.associateFCMId(opts, callback);

```

## Documentation for API Endpoints

All URIs are relative to *https://www.lineadgroup.com/loyaltyprogram/api/endpoints/clubfoals/*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*LoyaltyProgramApi.DevelopersApi* | [**associateFCMId**](docs/DevelopersApi.md#associateFCMId) | **POST** /gcm_id/asociar_gcm_id.inc.php | associate fcm id
*LoyaltyProgramApi.DevelopersApi* | [**buildPrize**](docs/DevelopersApi.md#buildPrize) | **POST** /android-build_prize.php | builds prize content
*LoyaltyProgramApi.DevelopersApi* | [**changeInfo**](docs/DevelopersApi.md#changeInfo) | **POST** /android-modificar_socio.php | change user&#39;s info.
*LoyaltyProgramApi.DevelopersApi* | [**changePassword**](docs/DevelopersApi.md#changePassword) | **POST** /android-modificar_clave.php | change password.
*LoyaltyProgramApi.DevelopersApi* | [**checkUser**](docs/DevelopersApi.md#checkUser) | **POST** /android-validar_dni.php | verifies the user exists
*LoyaltyProgramApi.DevelopersApi* | [**checkUser2**](docs/DevelopersApi.md#checkUser2) | **POST** /android-validar_primer_paso.php | verifies the user exists
*LoyaltyProgramApi.DevelopersApi* | [**checkUserMail**](docs/DevelopersApi.md#checkUserMail) | **POST** /android-verificar_mail_socio.php | verifies the user exists
*LoyaltyProgramApi.DevelopersApi* | [**contactForm**](docs/DevelopersApi.md#contactForm) | **POST** /android-enviar_formulario_contacto.php | send contact form.
*LoyaltyProgramApi.DevelopersApi* | [**dettachFMCId**](docs/DevelopersApi.md#dettachFMCId) | **POST** /gcm_id/desloguear_socio.inc.php | associate fcm id
*LoyaltyProgramApi.DevelopersApi* | [**getCategories**](docs/DevelopersApi.md#getCategories) | **POST** /android-obtener_rubros.php | gets the categories of prizes
*LoyaltyProgramApi.DevelopersApi* | [**getCities**](docs/DevelopersApi.md#getCities) | **GET** /get-cities.php | get list of cities.
*LoyaltyProgramApi.DevelopersApi* | [**getCredits**](docs/DevelopersApi.md#getCredits) | **GET** /creditos/cmb_creditos.inc.php | get credits.
*LoyaltyProgramApi.DevelopersApi* | [**getCreditsDetails**](docs/DevelopersApi.md#getCreditsDetails) | **GET** /creditos/leer_credito.inc.php | get credit details.
*LoyaltyProgramApi.DevelopersApi* | [**getExchangeTicket**](docs/DevelopersApi.md#getExchangeTicket) | **POST** /android-ticket.php | gets user information
*LoyaltyProgramApi.DevelopersApi* | [**getMiles**](docs/DevelopersApi.md#getMiles) | **POST** /android-leer_millas.php | gets miles
*LoyaltyProgramApi.DevelopersApi* | [**getMilesDetails**](docs/DevelopersApi.md#getMilesDetails) | **POST** /android-movimiento_de_millas.php | gets miles detail
*LoyaltyProgramApi.DevelopersApi* | [**getModules**](docs/DevelopersApi.md#getModules) | **GET** /android-leer_modulos.php | get app configuration.
*LoyaltyProgramApi.DevelopersApi* | [**getNews**](docs/DevelopersApi.md#getNews) | **POST** /noticias/buscar_noticias_etiquetados.inc.php | get news for a tagged user
*LoyaltyProgramApi.DevelopersApi* | [**getNewsDetails**](docs/DevelopersApi.md#getNewsDetails) | **POST** /noticias/leer_noticia.inc.php | get news article details.
*LoyaltyProgramApi.DevelopersApi* | [**getNewsList**](docs/DevelopersApi.md#getNewsList) | **POST** /noticias/anticipo_noticias.inc.php | get news list.
*LoyaltyProgramApi.DevelopersApi* | [**getNewsWithTag**](docs/DevelopersApi.md#getNewsWithTag) | **POST** /noticias/buscar_noticias_tag.inc.php | get news for a tag
*LoyaltyProgramApi.DevelopersApi* | [**getNewsWithUser**](docs/DevelopersApi.md#getNewsWithUser) | **POST** /noticias/leer_etiquetados_segmentado.inc.php | get news for a user
*LoyaltyProgramApi.DevelopersApi* | [**getPoints**](docs/DevelopersApi.md#getPoints) | **POST** /android-leer_puntos.php | gets user information
*LoyaltyProgramApi.DevelopersApi* | [**getPointsDetails**](docs/DevelopersApi.md#getPointsDetails) | **POST** /android-movimiento_de_puntos.php | gets user information
*LoyaltyProgramApi.DevelopersApi* | [**getPrizesFromCategory**](docs/DevelopersApi.md#getPrizesFromCategory) | **POST** /android-obtener_premios_del_rubro.php | get prizes from category
*LoyaltyProgramApi.DevelopersApi* | [**getProvinces**](docs/DevelopersApi.md#getProvinces) | **GET** /get-provinces.php | get list of provinces.
*LoyaltyProgramApi.DevelopersApi* | [**getRedemptions**](docs/DevelopersApi.md#getRedemptions) | **POST** /android-obtener_canjes.php | get list of redemptions.
*LoyaltyProgramApi.DevelopersApi* | [**getSliderImages**](docs/DevelopersApi.md#getSliderImages) | **POST** /android-obtener_imagenes_slide.php | get slider images
*LoyaltyProgramApi.DevelopersApi* | [**getSubsidiaries**](docs/DevelopersApi.md#getSubsidiaries) | **POST** /android-sucursales_club.php | get subsidiaries
*LoyaltyProgramApi.DevelopersApi* | [**getSubsidiariesCitymarketing**](docs/DevelopersApi.md#getSubsidiariesCitymarketing) | **POST** /android-obtener_sucursales_citymarketing.php | get subsidiaries list details
*LoyaltyProgramApi.DevelopersApi* | [**getSubsidiariesList**](docs/DevelopersApi.md#getSubsidiariesList) | **POST** /android-obtener_sucursales.php | get subsidiaries list details
*LoyaltyProgramApi.DevelopersApi* | [**getSweepstakeDetails**](docs/DevelopersApi.md#getSweepstakeDetails) | **POST** /concursos/leer_concurso.inc.php | get sweepstake details
*LoyaltyProgramApi.DevelopersApi* | [**getSweepstakes**](docs/DevelopersApi.md#getSweepstakes) | **POST** /concursos/leer_concursos_vigentes.inc.php | get sweepstakes.
*LoyaltyProgramApi.DevelopersApi* | [**getTagsWithUser**](docs/DevelopersApi.md#getTagsWithUser) | **POST** /noticias/leer_tags_segmentados.inc.php | get tag
*LoyaltyProgramApi.DevelopersApi* | [**getUnreadNews**](docs/DevelopersApi.md#getUnreadNews) | **POST** /noticias/cantidad_noticias_sin_leer.inc.php | get unread news.
*LoyaltyProgramApi.DevelopersApi* | [**getUserInfo**](docs/DevelopersApi.md#getUserInfo) | **POST** /android-socios.php | gets user information
*LoyaltyProgramApi.DevelopersApi* | [**getVouchers**](docs/DevelopersApi.md#getVouchers) | **GET** /android-traer_cupones.php | get list of vouchers.
*LoyaltyProgramApi.DevelopersApi* | [**joinSweepstake**](docs/DevelopersApi.md#joinSweepstake) | **POST** /concursos/participar_concurso.inc.php | join sweepstake
*LoyaltyProgramApi.DevelopersApi* | [**loginUser**](docs/DevelopersApi.md#loginUser) | **POST** /android-login.php | logs the user in
*LoyaltyProgramApi.DevelopersApi* | [**prizePaymentDetails**](docs/DevelopersApi.md#prizePaymentDetails) | **POST** /android-prize_payment_details.php | get payment details for prize
*LoyaltyProgramApi.DevelopersApi* | [**recoverPassword**](docs/DevelopersApi.md#recoverPassword) | **POST** /android-recordatorio_clave.php | recover password
*LoyaltyProgramApi.DevelopersApi* | [**redeemVoucher**](docs/DevelopersApi.md#redeemVoucher) | **POST** /android-descarga_cupon.php | redeem voucher.
*LoyaltyProgramApi.DevelopersApi* | [**registerFCMId**](docs/DevelopersApi.md#registerFCMId) | **POST** /gcm_id/registro_gcm_id.inc.php | register fcm id
*LoyaltyProgramApi.DevelopersApi* | [**registerPrizeVisit**](docs/DevelopersApi.md#registerPrizeVisit) | **POST** /android-registrar_visita_premio.php | register visit to prize
*LoyaltyProgramApi.DevelopersApi* | [**registerUser**](docs/DevelopersApi.md#registerUser) | **POST** /android-alta_socio.php | Registers a new user
*LoyaltyProgramApi.DevelopersApi* | [**reservePrize**](docs/DevelopersApi.md#reservePrize) | **POST** /android-reserva_premio_beneficio.php | reserve a prize.
*LoyaltyProgramApi.DevelopersApi* | [**setUserEmail**](docs/DevelopersApi.md#setUserEmail) | **POST** /android-validar_mail.php | associates an email address to a user


## Documentation for Models

 - [LoyaltyProgramApi.Card](docs/Card.md)
 - [LoyaltyProgramApi.CategoryRequest](docs/CategoryRequest.md)
 - [LoyaltyProgramApi.ChangeInformationResponse](docs/ChangeInformationResponse.md)
 - [LoyaltyProgramApi.ChangeInformationResponsev2](docs/ChangeInformationResponsev2.md)
 - [LoyaltyProgramApi.ChangeInformationResponsev2message](docs/ChangeInformationResponsev2message.md)
 - [LoyaltyProgramApi.ChangePassword](docs/ChangePassword.md)
 - [LoyaltyProgramApi.City](docs/City.md)
 - [LoyaltyProgramApi.CityLocations](docs/CityLocations.md)
 - [LoyaltyProgramApi.ClubRequest](docs/ClubRequest.md)
 - [LoyaltyProgramApi.ClubUserRequest](docs/ClubUserRequest.md)
 - [LoyaltyProgramApi.ClubUserbyIDRequest](docs/ClubUserbyIDRequest.md)
 - [LoyaltyProgramApi.ContactForm](docs/ContactForm.md)
 - [LoyaltyProgramApi.ContactResponse](docs/ContactResponse.md)
 - [LoyaltyProgramApi.Credit](docs/Credit.md)
 - [LoyaltyProgramApi.CreditDetails](docs/CreditDetails.md)
 - [LoyaltyProgramApi.CreditInstance](docs/CreditInstance.md)
 - [LoyaltyProgramApi.CreditsResponse](docs/CreditsResponse.md)
 - [LoyaltyProgramApi.DeviceInfo](docs/DeviceInfo.md)
 - [LoyaltyProgramApi.EmailVoucher](docs/EmailVoucher.md)
 - [LoyaltyProgramApi.Exchange](docs/Exchange.md)
 - [LoyaltyProgramApi.ExchangeId](docs/ExchangeId.md)
 - [LoyaltyProgramApi.Exchanges](docs/Exchanges.md)
 - [LoyaltyProgramApi.LoginResponse](docs/LoginResponse.md)
 - [LoyaltyProgramApi.Modules](docs/Modules.md)
 - [LoyaltyProgramApi.NewsDetail](docs/NewsDetail.md)
 - [LoyaltyProgramApi.NewsImages](docs/NewsImages.md)
 - [LoyaltyProgramApi.NewsItem](docs/NewsItem.md)
 - [LoyaltyProgramApi.NewsRequest](docs/NewsRequest.md)
 - [LoyaltyProgramApi.NewsTags](docs/NewsTags.md)
 - [LoyaltyProgramApi.NewsUsers](docs/NewsUsers.md)
 - [LoyaltyProgramApi.ObjectRequest](docs/ObjectRequest.md)
 - [LoyaltyProgramApi.PaymentDetails](docs/PaymentDetails.md)
 - [LoyaltyProgramApi.Points](docs/Points.md)
 - [LoyaltyProgramApi.Premios](docs/Premios.md)
 - [LoyaltyProgramApi.Prize](docs/Prize.md)
 - [LoyaltyProgramApi.PrizeContent](docs/PrizeContent.md)
 - [LoyaltyProgramApi.PrizeRedeemRequest](docs/PrizeRedeemRequest.md)
 - [LoyaltyProgramApi.PrizeRequest](docs/PrizeRequest.md)
 - [LoyaltyProgramApi.PrizeViewRequest](docs/PrizeViewRequest.md)
 - [LoyaltyProgramApi.Province](docs/Province.md)
 - [LoyaltyProgramApi.Redemption](docs/Redemption.md)
 - [LoyaltyProgramApi.RedemptionConfirm](docs/RedemptionConfirm.md)
 - [LoyaltyProgramApi.Redemptions](docs/Redemptions.md)
 - [LoyaltyProgramApi.RedemptionsRequest](docs/RedemptionsRequest.md)
 - [LoyaltyProgramApi.Respuesta](docs/Respuesta.md)
 - [LoyaltyProgramApi.Rubro](docs/Rubro.md)
 - [LoyaltyProgramApi.Rubros](docs/Rubros.md)
 - [LoyaltyProgramApi.SliderImages](docs/SliderImages.md)
 - [LoyaltyProgramApi.Step](docs/Step.md)
 - [LoyaltyProgramApi.Subsidiaries](docs/Subsidiaries.md)
 - [LoyaltyProgramApi.SubsidiariesCitymarketing](docs/SubsidiariesCitymarketing.md)
 - [LoyaltyProgramApi.Subsidiary](docs/Subsidiary.md)
 - [LoyaltyProgramApi.SubsidiaryLocation](docs/SubsidiaryLocation.md)
 - [LoyaltyProgramApi.SubsidiaryPremio](docs/SubsidiaryPremio.md)
 - [LoyaltyProgramApi.Sweepstake](docs/Sweepstake.md)
 - [LoyaltyProgramApi.SweepstakeDetails](docs/SweepstakeDetails.md)
 - [LoyaltyProgramApi.SweepstakeUser](docs/SweepstakeUser.md)
 - [LoyaltyProgramApi.SweepstakeUserResponse](docs/SweepstakeUserResponse.md)
 - [LoyaltyProgramApi.Sweepstakes](docs/Sweepstakes.md)
 - [LoyaltyProgramApi.TagRequest](docs/TagRequest.md)
 - [LoyaltyProgramApi.TaggedUser](docs/TaggedUser.md)
 - [LoyaltyProgramApi.Ticket](docs/Ticket.md)
 - [LoyaltyProgramApi.TicketResponse](docs/TicketResponse.md)
 - [LoyaltyProgramApi.UrlImagenes](docs/UrlImagenes.md)
 - [LoyaltyProgramApi.User](docs/User.md)
 - [LoyaltyProgramApi.UserCheckResponse](docs/UserCheckResponse.md)
 - [LoyaltyProgramApi.UserDeviceInfo](docs/UserDeviceInfo.md)
 - [LoyaltyProgramApi.UserInformation](docs/UserInformation.md)
 - [LoyaltyProgramApi.UserLoginRequest](docs/UserLoginRequest.md)
 - [LoyaltyProgramApi.UserNews](docs/UserNews.md)
 - [LoyaltyProgramApi.ValidateMailRequest](docs/ValidateMailRequest.md)
 - [LoyaltyProgramApi.ValidateMailResponse](docs/ValidateMailResponse.md)
 - [LoyaltyProgramApi.Voucher](docs/Voucher.md)
 - [LoyaltyProgramApi.VoucherRedemptionCode](docs/VoucherRedemptionCode.md)
 - [LoyaltyProgramApi.Vouchers](docs/Vouchers.md)


## Documentation for Authorization

 All endpoints do not require authorization.

