/**
 * Loyalty Program API
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 4.0.2
 * Contact: eduardo@linead.com.ar
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 1.0.16
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.LoyaltyProgramApi) {
      root.LoyaltyProgramApi = {};
    }
    root.LoyaltyProgramApi.PaymentDetails = factory(root.LoyaltyProgramApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The PaymentDetails model module.
   * @module model/PaymentDetails
   * @version 4.0.2
   */

  /**
   * Constructs a new <code>PaymentDetails</code>.
   * @alias module:model/PaymentDetails
   * @class
   * @param prizeId {Number} prizeID
   * @param title {String} Name of the product being sold
   * @param type {String} type of payment (subscription or single)
   * @param currencyId {String} Currency ISO_4217 code
   * @param unitPrice {Number} price of the item sold.
   */
  var exports = function(prizeId, title, type, currencyId, unitPrice) {
    var _this = this;

    _this['prize_id'] = prizeId;
    _this['title'] = title;
    _this['type'] = type;
    _this['currency_id'] = currencyId;
    _this['unit_price'] = unitPrice;


  };

  /**
   * Constructs a <code>PaymentDetails</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/PaymentDetails} obj Optional instance to populate.
   * @return {module:model/PaymentDetails} The populated <code>PaymentDetails</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('prize_id')) {
        obj['prize_id'] = ApiClient.convertToType(data['prize_id'], 'Number');
      }
      if (data.hasOwnProperty('title')) {
        obj['title'] = ApiClient.convertToType(data['title'], 'String');
      }
      if (data.hasOwnProperty('type')) {
        obj['type'] = ApiClient.convertToType(data['type'], 'String');
      }
      if (data.hasOwnProperty('currency_id')) {
        obj['currency_id'] = ApiClient.convertToType(data['currency_id'], 'String');
      }
      if (data.hasOwnProperty('unit_price')) {
        obj['unit_price'] = ApiClient.convertToType(data['unit_price'], 'Number');
      }
      if (data.hasOwnProperty('frequency')) {
        obj['frequency'] = ApiClient.convertToType(data['frequency'], 'Number');
      }
      if (data.hasOwnProperty('frequency_type')) {
        obj['frequency_type'] = ApiClient.convertToType(data['frequency_type'], 'String');
      }
    }
    return obj;
  }

  /**
   * prizeID
   * @member {Number} prize_id
   */
  exports.prototype['prize_id'] = undefined;
  /**
   * Name of the product being sold
   * @member {String} title
   */
  exports.prototype['title'] = undefined;
  /**
   * type of payment (subscription or single)
   * @member {String} type
   */
  exports.prototype['type'] = undefined;
  /**
   * Currency ISO_4217 code
   * @member {String} currency_id
   */
  exports.prototype['currency_id'] = undefined;
  /**
   * price of the item sold.
   * @member {Number} unit_price
   */
  exports.prototype['unit_price'] = undefined;
  /**
   * Every how many periods will the user be charged
   * @member {Number} frequency
   */
  exports.prototype['frequency'] = undefined;
  /**
   * What period between charging the user (days or months)
   * @member {String} frequency_type
   */
  exports.prototype['frequency_type'] = undefined;



  return exports;
}));


