/**
 * Loyalty Program API
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 4.0.2
 * Contact: eduardo@linead.com.ar
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 1.0.16
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.LoyaltyProgramApi) {
      root.LoyaltyProgramApi = {};
    }
    root.LoyaltyProgramApi.RedemptionConfirm = factory(root.LoyaltyProgramApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';




  /**
   * The RedemptionConfirm model module.
   * @module model/RedemptionConfirm
   * @version 4.0.2
   */

  /**
   * Constructs a new <code>RedemptionConfirm</code>.
   * @alias module:model/RedemptionConfirm
   * @class
   * @param codigoDeCanje {String} redemption code
   * @param nombreSucursal {String} Name of subsidiary in which to get the prize
   * @param nombreSocio {String} User's Name
   * @param documento {String} User's ID card number
   * @param mailSocio {String} User's email address
   * @param fechaVencimientoCanje {Date} Redemtion expiry date
   */
  var exports = function(codigoDeCanje, nombreSucursal, nombreSocio, documento, mailSocio, fechaVencimientoCanje) {
    var _this = this;

    _this['CodigoDeCanje'] = codigoDeCanje;
    _this['NombreSucursal'] = nombreSucursal;
    _this['NombreSocio'] = nombreSocio;
    _this['Documento'] = documento;
    _this['MailSocio'] = mailSocio;
    _this['FechaVencimientoCanje'] = fechaVencimientoCanje;
  };

  /**
   * Constructs a <code>RedemptionConfirm</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/RedemptionConfirm} obj Optional instance to populate.
   * @return {module:model/RedemptionConfirm} The populated <code>RedemptionConfirm</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();

      if (data.hasOwnProperty('CodigoDeCanje')) {
        obj['CodigoDeCanje'] = ApiClient.convertToType(data['CodigoDeCanje'], 'String');
      }
      if (data.hasOwnProperty('NombreSucursal')) {
        obj['NombreSucursal'] = ApiClient.convertToType(data['NombreSucursal'], 'String');
      }
      if (data.hasOwnProperty('NombreSocio')) {
        obj['NombreSocio'] = ApiClient.convertToType(data['NombreSocio'], 'String');
      }
      if (data.hasOwnProperty('Documento')) {
        obj['Documento'] = ApiClient.convertToType(data['Documento'], 'String');
      }
      if (data.hasOwnProperty('MailSocio')) {
        obj['MailSocio'] = ApiClient.convertToType(data['MailSocio'], 'String');
      }
      if (data.hasOwnProperty('FechaVencimientoCanje')) {
        obj['FechaVencimientoCanje'] = ApiClient.convertToType(data['FechaVencimientoCanje'], 'Date');
      }
    }
    return obj;
  }

  /**
   * redemption code
   * @member {String} CodigoDeCanje
   */
  exports.prototype['CodigoDeCanje'] = undefined;
  /**
   * Name of subsidiary in which to get the prize
   * @member {String} NombreSucursal
   */
  exports.prototype['NombreSucursal'] = undefined;
  /**
   * User's Name
   * @member {String} NombreSocio
   */
  exports.prototype['NombreSocio'] = undefined;
  /**
   * User's ID card number
   * @member {String} Documento
   */
  exports.prototype['Documento'] = undefined;
  /**
   * User's email address
   * @member {String} MailSocio
   */
  exports.prototype['MailSocio'] = undefined;
  /**
   * Redemtion expiry date
   * @member {Date} FechaVencimientoCanje
   */
  exports.prototype['FechaVencimientoCanje'] = undefined;



  return exports;
}));


